# filter out bogus auto-requires
%global __requires_exclude ^/usr/bin/csh$

Name:    cdsclient
Version: 3.84
Release: %mkrel 4
Summary: Query astronomical catalogues from the command line

Group:   Sciences/Astronomy
License: GPLv2

URL:     http://cdsarc.u-strasbg.fr/doc/cdsclient.html
Source0: ftp://cdsarc.u-strasbg.fr/pub/sw/%{name}-%{version}.tar.gz
# Patch to get useful debuginfo. strip was called in Makefile before and compiler
# flags were ignored, submitted upstream by email
Patch0:         fix_makefile_debuginfo.patch

#wwwget is not build in this version
Requires: wget

%description
The cdsclient package is a set of C and shell routines which can be
built on Unix stations or PCs running Linux, which once compiled
allow to query some databases located at CDS or on mirrors over the
network.


%prep
%autosetup


%build
%configure
%make_build

%install
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_mandir}

%make_install PREFIX=%{buildroot}%{_prefix} MANDIR=%{buildroot}%{_mandir}

%__rm -f %{buildroot}%{_prefix}/versions
%__rm -f %{buildroot}%{_mandir}/mantex/aclient.tex
%__rm -f %{buildroot}%{_bindir}/find_cats.gz
%__install -d %{buildroot}%{_datadir}/cdsclient
mv %{buildroot}%{_bindir}/abibcode.awk %{buildroot}%{_datadir}/cdsclient/abibcode.awk

%files
%doc aclient.tex
%{_bindir}/abibcode
%{_bindir}/aclient
%{_bindir}/aclient_cgi
%{_bindir}/Detex
%{_bindir}/catcat
%{_bindir}/find*
#commented upstream
#%%{_bindir}/wwwget
%{_bindir}/lscat
%{_bindir}/sesame
%{_bindir}/simbib
%{_bindir}/simref
%{_bindir}/vizquery
%{_datadir}/cdsclient/abibcode.awk
%{_mandir}/man1/aclient.1*
%{_mandir}/man1/wwwget.1*
%{_mandir}/man3/sk.3*


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 3.84-4.mga9
+ Revision: 1792533
- Mageia 9 Mass Rebuild
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Fri Feb 14 2020 umeabot <umeabot> 3.84-3.mga8
+ Revision: 1521891
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jan 04 2019 daviddavid <daviddavid> 3.84-2.mga7
+ Revision: 1349046
- filter out bogus auto-requires

* Fri Jan 04 2019 daviddavid <daviddavid> 3.84-1.mga7
+ Revision: 1349021
- new version: 3.84

* Sat Sep 22 2018 umeabot <umeabot> 3.83-2.mga7
+ Revision: 1296042
- Mageia 7 Mass Rebuild

* Wed Dec 14 2016 eatdirt <eatdirt> 3.83-1.mga6
+ Revision: 1075023
- Upgrade to version 3.83

* Thu Feb 11 2016 umeabot <umeabot> 3.75-7.mga6
+ Revision: 953613
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 tv <tv> 3.75-6.mga6
+ Revision: 879877
- actually apply patch
- reenable debuginfo & fix empty debuginfo (patch 0)
- reenable debuginfo & fix empty debuginfo (patch 0)

* Wed Sep 09 2015 neoclust <neoclust> 3.75-5.mga6
+ Revision: 874984
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 3.75-4.mga5
+ Revision: 751144
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 3.75-3.mga5
+ Revision: 725003
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 3.75-2.mga5
+ Revision: 678342
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 eatdirt <eatdirt> 3.75-1.mga5
+ Revision: 642627
- Upgrade to version 3.75

* Sat Oct 19 2013 umeabot <umeabot> 3.72-2.mga4
+ Revision: 530625
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 joequant <joequant> 3.72-1.mga4
+ Revision: 458577
- remove summary
- imported package cdsclient

